Subject: RE: [bug-diffutils] bug#25663: verify macro in system.h incorrectly expects 8 byte long for 64-bit builds on Windows/Visual Studio

From: Kees Dekker <[email-masked]>
Date: Fri, 10 Feb 2017 07:50:12 +0000

>You don't need to. Microsoft ships GNU diff as part of an optional MS-Windows 
>subsystem. This should be a lot less work for us maintainers than trying to 
>maintain a separate MS-Windows "native" port (whatever "native" means) for GNU 
>diff. See:

>https://msdn.microsoft.com/en-us/commandline/wsl/about

We ship our binaries to customers. Using something of Microsoft requires that is allowed from legal point of view. And second, the software need to stay in a known location. And 3rd: the used runtime should match. The mentioned example is beta software, not reliable enough for our customers. And last: I've to stay compatible, so switching to a different approach is almost impossible (unfortunately). So really: no choice.

>> in which format do you like to get it. UNIX style patch?

>"git format-patch" format, where the commit message uses GNU ChangeLog style. 
>See the existing git repository for examples of this. The changes should be 
>minimal and cleanly separable from the mainline source, and using the same style 
>as what we have now.

If you have an additional source of information, it would be great. I'm new to git, so I will try to do so.